### Property

# Adw SpringAnimation:clamp

#### Declaration

    property clamp: gboolean [ read, write ]

#### Description [src]

Whether the animation should be clamped.

If set to `TRUE`, the animation will abruptly end as soon as it reaches the final value, preventing overshooting.

It won’t prevent overshooting `AdwSpringAnimation:value-from` if a relative negative `AdwSpringAnimation:initial-velocity` is set.

Type:`gboolean`

Default value | FALSE
Getter method | `adw_spring_animation_get_clamp()`
Setter method | `adw_spring_animation_set_clamp()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no